{-# LANGUAGE TemplateHaskell #-}

module Data.Concrete.Internal.Lens ( module Data.Concrete.Autogen.Lens.Annotation
                                   , module Data.Concrete.Autogen.Lens.AnnotationMetadata
                                   , module Data.Concrete.Autogen.Lens.AnnotationTask
                                   , module Data.Concrete.Autogen.Lens.AnnotationTaskType
                                   , module Data.Concrete.Autogen.Lens.AnnotationUnitIdentifier
                                   , module Data.Concrete.Autogen.Lens.AnnotationUnitType
                                   , module Data.Concrete.Autogen.Lens.Arc
                                   , module Data.Concrete.Autogen.Lens.Argument
                                   , module Data.Concrete.Autogen.Lens.AsyncContactInfo
                                   , module Data.Concrete.Autogen.Lens.AudioSpan
                                   , module Data.Concrete.Autogen.Lens.BoundingBox
                                   , module Data.Concrete.Autogen.Lens.Cluster
                                   , module Data.Concrete.Autogen.Lens.Clustering
                                   , module Data.Concrete.Autogen.Lens.ClusterMember
                                   , module Data.Concrete.Autogen.Lens.Communication
                                   , module Data.Concrete.Autogen.Lens.CommunicationMetadata
                                   , module Data.Concrete.Autogen.Lens.CommunicationSet
                                   , module Data.Concrete.Autogen.Lens.CommunicationTagging
                                   , module Data.Concrete.Autogen.Lens.ConcreteThriftException
                                   , module Data.Concrete.Autogen.Lens.Constituent
                                   , module Data.Concrete.Autogen.Lens.ConstituentRef
                                   , module Data.Concrete.Autogen.Lens.Dependency
                                   , module Data.Concrete.Autogen.Lens.DependencyParse
                                   , module Data.Concrete.Autogen.Lens.DependencyParseStructure
                                   , module Data.Concrete.Autogen.Lens.Digest
                                   , module Data.Concrete.Autogen.Lens.EmailAddress
                                   , module Data.Concrete.Autogen.Lens.EmailCommunicationInfo
                                   , module Data.Concrete.Autogen.Lens.Entity
                                   , module Data.Concrete.Autogen.Lens.EntityMention
                                   , module Data.Concrete.Autogen.Lens.EntityMentionSet
                                   , module Data.Concrete.Autogen.Lens.EntitySet
                                   , module Data.Concrete.Autogen.Lens.FetchRequest
                                   , module Data.Concrete.Autogen.Lens.FetchResult
                                   , module Data.Concrete.Autogen.Lens.HashTag
                                   , module Data.Concrete.Autogen.Lens.Justification
                                   , module Data.Concrete.Autogen.Lens.LanguageIdentification
                                   , module Data.Concrete.Autogen.Lens.LatticePath
                                   , module Data.Concrete.Autogen.Lens.Link
                                   , module Data.Concrete.Autogen.Lens.Linking
                                   , module Data.Concrete.Autogen.Lens.LinkTarget
                                   , module Data.Concrete.Autogen.Lens.MentionArgument
                                   , module Data.Concrete.Autogen.Lens.NITFInfo
                                   , module Data.Concrete.Autogen.Lens.NotImplementedException
                                   , module Data.Concrete.Autogen.Lens.Parse
                                   , module Data.Concrete.Autogen.Lens.PlaceAttributes
                                   , module Data.Concrete.Autogen.Lens.Property
                                   , module Data.Concrete.Autogen.Lens.SearchCapability
                                   , module Data.Concrete.Autogen.Lens.SearchFeedback
                                   , module Data.Concrete.Autogen.Lens.SearchQuery
                                   , module Data.Concrete.Autogen.Lens.SearchResult
                                   , module Data.Concrete.Autogen.Lens.SearchResultItem
                                   , module Data.Concrete.Autogen.Lens.SearchType
                                   , module Data.Concrete.Autogen.Lens.Section
                                   , module Data.Concrete.Autogen.Lens.Sentence
                                   , module Data.Concrete.Autogen.Lens.ServiceInfo
                                   , module Data.Concrete.Autogen.Lens.ServicesException
                                   , module Data.Concrete.Autogen.Lens.Situation
                                   , module Data.Concrete.Autogen.Lens.SituationMention
                                   , module Data.Concrete.Autogen.Lens.SituationMentionSet
                                   , module Data.Concrete.Autogen.Lens.SituationSet
                                   , module Data.Concrete.Autogen.Lens.Sound
                                   , module Data.Concrete.Autogen.Lens.SpanLink
                                   , module Data.Concrete.Autogen.Lens.SummarizationCapability
                                   , module Data.Concrete.Autogen.Lens.SummarizationRequest
                                   , module Data.Concrete.Autogen.Lens.SummaryConcept
                                   , module Data.Concrete.Autogen.Lens.Summary
                                   , module Data.Concrete.Autogen.Lens.SummarySourceType
                                   , module Data.Concrete.Autogen.Lens.TaggedToken
                                   , module Data.Concrete.Autogen.Lens.TextSpan
                                   , module Data.Concrete.Autogen.Lens.TheoryDependencies
                                   , module Data.Concrete.Autogen.Lens.TimeML
                                   , module Data.Concrete.Autogen.Lens.Token
                                   , module Data.Concrete.Autogen.Lens.Tokenization
                                   , module Data.Concrete.Autogen.Lens.TokenizationKind
                                   , module Data.Concrete.Autogen.Lens.TokenLattice
                                   , module Data.Concrete.Autogen.Lens.TokenList
                                   , module Data.Concrete.Autogen.Lens.TokenRefSequence
                                   , module Data.Concrete.Autogen.Lens.TokenTagging
                                   , module Data.Concrete.Autogen.Lens.TweetInfo
                                   , module Data.Concrete.Autogen.Lens.TwitterCoordinates
                                   , module Data.Concrete.Autogen.Lens.TwitterEntities
                                   , module Data.Concrete.Autogen.Lens.TwitterLatLong
                                   , module Data.Concrete.Autogen.Lens.TwitterPlace
                                   , module Data.Concrete.Autogen.Lens.TwitterUser
                                   , module Data.Concrete.Autogen.Lens.URL
                                   , module Data.Concrete.Autogen.Lens.UserMention
                                   , module Data.Concrete.Autogen.Lens.UUID
                                   ) where

import Data.Concrete.Autogen.Lens.Annotation
import Data.Concrete.Autogen.Lens.AnnotationMetadata
import Data.Concrete.Autogen.Lens.AnnotationTask
import Data.Concrete.Autogen.Lens.AnnotationTaskType
import Data.Concrete.Autogen.Lens.AnnotationUnitIdentifier
import Data.Concrete.Autogen.Lens.AnnotationUnitType
import Data.Concrete.Autogen.Lens.Arc
import Data.Concrete.Autogen.Lens.Argument
import Data.Concrete.Autogen.Lens.AsyncContactInfo
import Data.Concrete.Autogen.Lens.AudioSpan
import Data.Concrete.Autogen.Lens.BoundingBox
import Data.Concrete.Autogen.Lens.Cluster
import Data.Concrete.Autogen.Lens.Clustering
import Data.Concrete.Autogen.Lens.ClusterMember
import Data.Concrete.Autogen.Lens.Communication
import Data.Concrete.Autogen.Lens.CommunicationMetadata
import Data.Concrete.Autogen.Lens.CommunicationSet
import Data.Concrete.Autogen.Lens.CommunicationTagging
import Data.Concrete.Autogen.Lens.ConcreteThriftException
import Data.Concrete.Autogen.Lens.Constituent
import Data.Concrete.Autogen.Lens.ConstituentRef
import Data.Concrete.Autogen.Lens.Dependency
import Data.Concrete.Autogen.Lens.DependencyParse
import Data.Concrete.Autogen.Lens.DependencyParseStructure
import Data.Concrete.Autogen.Lens.Digest
import Data.Concrete.Autogen.Lens.EmailAddress
import Data.Concrete.Autogen.Lens.EmailCommunicationInfo
import Data.Concrete.Autogen.Lens.Entity
import Data.Concrete.Autogen.Lens.EntityMention
import Data.Concrete.Autogen.Lens.EntityMentionSet
import Data.Concrete.Autogen.Lens.EntitySet
import Data.Concrete.Autogen.Lens.FetchRequest
import Data.Concrete.Autogen.Lens.FetchResult
import Data.Concrete.Autogen.Lens.HashTag
import Data.Concrete.Autogen.Lens.Justification
import Data.Concrete.Autogen.Lens.LanguageIdentification
import Data.Concrete.Autogen.Lens.LatticePath
import Data.Concrete.Autogen.Lens.Link
import Data.Concrete.Autogen.Lens.Linking
import Data.Concrete.Autogen.Lens.LinkTarget
import Data.Concrete.Autogen.Lens.MentionArgument
import Data.Concrete.Autogen.Lens.NITFInfo
import Data.Concrete.Autogen.Lens.NotImplementedException
import Data.Concrete.Autogen.Lens.Parse
import Data.Concrete.Autogen.Lens.PlaceAttributes
import Data.Concrete.Autogen.Lens.Property
import Data.Concrete.Autogen.Lens.SearchCapability
import Data.Concrete.Autogen.Lens.SearchFeedback
import Data.Concrete.Autogen.Lens.SearchQuery
import Data.Concrete.Autogen.Lens.SearchResult
import Data.Concrete.Autogen.Lens.SearchResultItem
import Data.Concrete.Autogen.Lens.SearchType
import Data.Concrete.Autogen.Lens.Section
import Data.Concrete.Autogen.Lens.Sentence
import Data.Concrete.Autogen.Lens.ServiceInfo
import Data.Concrete.Autogen.Lens.ServicesException
import Data.Concrete.Autogen.Lens.Situation
import Data.Concrete.Autogen.Lens.SituationMention
import Data.Concrete.Autogen.Lens.SituationMentionSet
import Data.Concrete.Autogen.Lens.SituationSet
import Data.Concrete.Autogen.Lens.Sound
import Data.Concrete.Autogen.Lens.SpanLink
import Data.Concrete.Autogen.Lens.SummarizationCapability
import Data.Concrete.Autogen.Lens.SummarizationRequest
import Data.Concrete.Autogen.Lens.SummaryConcept
import Data.Concrete.Autogen.Lens.Summary
import Data.Concrete.Autogen.Lens.SummarySourceType
import Data.Concrete.Autogen.Lens.TaggedToken
import Data.Concrete.Autogen.Lens.TextSpan
import Data.Concrete.Autogen.Lens.TheoryDependencies
import Data.Concrete.Autogen.Lens.TimeML
import Data.Concrete.Autogen.Lens.Token
import Data.Concrete.Autogen.Lens.Tokenization
import Data.Concrete.Autogen.Lens.TokenizationKind
import Data.Concrete.Autogen.Lens.TokenLattice
import Data.Concrete.Autogen.Lens.TokenList
import Data.Concrete.Autogen.Lens.TokenRefSequence
import Data.Concrete.Autogen.Lens.TokenTagging
import Data.Concrete.Autogen.Lens.TweetInfo
import Data.Concrete.Autogen.Lens.TwitterCoordinates
import Data.Concrete.Autogen.Lens.TwitterEntities
import Data.Concrete.Autogen.Lens.TwitterLatLong
import Data.Concrete.Autogen.Lens.TwitterPlace
import Data.Concrete.Autogen.Lens.TwitterUser
import Data.Concrete.Autogen.Lens.URL
import Data.Concrete.Autogen.Lens.UserMention
import Data.Concrete.Autogen.Lens.UUID
